/*
 * Class EV_TEXT_COMPONENT_ACTION_SEQUENCES
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_211 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_1_211 [] = {0xFF01,1551,210,0xFFFF};
static const EIF_TYPE_INDEX egt_2_211 [] = {0xFF01,210,0xFFFF};
static const EIF_TYPE_INDEX egt_3_211 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_211 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_211 [] = {0xFF01,210,0xFFFF};
static const EIF_TYPE_INDEX egt_6_211 [] = {0xFF01,210,0xFFFF};
static const EIF_TYPE_INDEX egt_7_211 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_211 [] = {0xFF01,126,0xFFFF};
static const EIF_TYPE_INDEX egt_9_211 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_10_211 [] = {0xFF01,914,0xFFFF};
static const EIF_TYPE_INDEX egt_11_211 [] = {0xFF01,29,0xFFFF};
static const EIF_TYPE_INDEX egt_12_211 [] = {0xFF01,210,0xFFFF};
static const EIF_TYPE_INDEX egt_13_211 [] = {0xFF01,393,0xFFFF};
static const EIF_TYPE_INDEX egt_14_211 [] = {0xFF01,654,0xFFFF};


static const struct desc_info desc_211[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_211), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_211), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06C5 /*866*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_211), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_211), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_211), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_211), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_211), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_211), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_211), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_211), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_211), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_211), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01A5 /*210*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x06E3 /*881*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_211), 30, 0xFFFFFFFF},
	{EIF_GENERIC(egt_13_211), 4693, 0},
	{EIF_GENERIC(egt_14_211), 4694, 0xFFFFFFFF},
};
void Init211(void)
{
	IDSC(desc_211, 0, 210);
	IDSC(desc_211 + 1, 1, 210);
	IDSC(desc_211 + 32, 1119, 210);
}


#ifdef __cplusplus
}
#endif
